Commits

Pierre-Yves David  committed c39afce Merge

merge

  • Participants
  • Parent commits 15299bf, 469befc
  • Branches default

Comments (0)

Files changed (5)

 b1bdcb4506defef0e857e2710633f7686d8034a5 1.0.2
 5559e5a4b656978c592d364f242edc62369d7e84 1.0.2
 c062edbcaf13135d0312fd2039deca74573ff4f0 1.1.0
+22cacfce2a65ab965c6179ae862b148f4abc7d8a 1.1.0
 d43e80504e55db9ad4826e860e50530103a27b0f 2.0.0

File debian/changelog

+mercurial-evolve (1.1.0-1) UNRELEASED; urgency=low
+
+  * New upstream release.
+
+ -- Pierre-Yves David <pierre-yves.david@logilab.fr>  Tue, 20 Nov 2012 16:28:12 +0100
+
 mercurial-evolve (1.0.2-1) UNRELEASED; urgency=low
 
   * New upstream Release

File debian/control

  Pierre-Yves David <pierre-yves.david@logilab.fr>,
 Standards-Version: 3.9.3
 Build-Depends:
- mercurial (>=2.4~),
- mercurial-common (>=2.4~),
+ mercurial (>=2.5~),
+ mercurial-common (>=2.5~),
  python,
  debhelper (>= 8),
  python-sphinx (>= 1.0.8),
 Depends:
  ${python:Depends},
  ${misc:Depends},
- mercurial (>= 2.4),
+ mercurial (>= 2.5),
 Description: evolve extension for Mercurial
  This package provides the experimental "evolve" extension for the Mercurial
  DVCS.

File hgext/evolve.py

     - improves some aspect of the early implementation in 2.3
 '''
 
-testedwith = '2.4-rc'
+testedwith = ''
 buglink = 'https://bitbucket.org/marmoute/mutable-history/issues'
 
 
 
 try:
     from mercurial import obsolete
-    getattr(obsolete, 'getrevs') # 2.4 specific
     if not obsolete._enabled:
         obsolete._enabled = True
+    from mercurial import bookmarks
+    bookmarks.bmstore
 except (ImportError, AttributeError):
-    raise util.Abort('Evolve extension requires Mercurial 2.4 (or later)')
+    raise util.Abort('This version of Evolve is too old for you mercurial version',
+                     hint='requires version >> 2.4.x')
+
 
 
 from mercurial import bookmarks
     [('A', 'addremove', None,
      _('mark new/missing files as added/removed before committing')),
     ('n', 'note', '', _('use text as commit message for this update')),
-    ('c', 'change', '', _('specifies the changesets to amend'), _('REV')),
+    ('c', 'change', '', _('specifies the changesets to amend (DEPRECATED)'), _('REV')),
     ('e', 'edit', False, _('invoke editor on commit messages')),
     ] + walkopts + commitopts + commitopts2,
     _('[OPTION]... [FILE]...'))
 
 setup(
     name='hg-evolve',
-    version='1.0.2',
+    version='2.0.0',
     author='Pierre-Yves David',
     maintainer='Pierre-Yves David',
     maintainer_email='pierre-yves.david@logilab.fr',